public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-util/antimicrox/
Date: Mon, 24 Oct 2022 21:37:16 +0000 (UTC)	[thread overview]
Message-ID: <1666647435.afafeca5b52de1a8fee302538163b109060686c1.xgqt@gentoo> (raw)

commit:     afafeca5b52de1a8fee302538163b109060686c1
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 24 21:20:56 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Oct 24 21:37:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afafeca5

games-util/antimicrox: bump to 3.3.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 games-util/antimicrox/Manifest                |  1 +
 games-util/antimicrox/antimicrox-3.3.1.ebuild | 74 +++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/games-util/antimicrox/Manifest b/games-util/antimicrox/Manifest
index 4947556b9ad9..455e539c741c 100644
--- a/games-util/antimicrox/Manifest
+++ b/games-util/antimicrox/Manifest
@@ -1 +1,2 @@
 DIST antimicrox-3.2.5.tar.gz 1801792 BLAKE2B 8e42bef2c04f57a4ca733fa9632bb8b2070e4bfc6f0ac1c01016dd221a6cf24a229d1090c0d8ed2a7562d4c7224668cebdf0fe23265ac4d9208403f9fbe7e85c SHA512 5b9e75fcb1e5d7e12d5880f83451c12f0eb2da1a6e43387fc42bbcba8c24a77398868f69177277840b9a7541736007fdbec58fd852d32d12ca559f6f75178c0b
+DIST antimicrox-3.3.1.tar.gz 1878461 BLAKE2B 4f1d0c9be92bf89c5ebc6cad8a8b106f1888e53d135efc86616c1244738f79df6981fe0ea0e233e8d436ace126f4ac43a5edd63b0684a6af257c055db99f4284 SHA512 15c6b88640e0cd6ebff85574d1911fb92ed27868b2442ab225ef0eaccfbe243b445c3a78435225cb5a54d9dca65517da8998df95ebfa50d92bd1e53338c102d2

diff --git a/games-util/antimicrox/antimicrox-3.3.1.ebuild b/games-util/antimicrox/antimicrox-3.3.1.ebuild
new file mode 100644
index 000000000000..15e929f6d678
--- /dev/null
+++ b/games-util/antimicrox/antimicrox-3.3.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit udev xdg cmake
+
+DESCRIPTION="Graphical program used to map keyboard buttons and mouse controls to a gamepad"
+HOMEPAGE="https://github.com/AntiMicroX/antimicrox/"
+SRC_URI="https://github.com/AntiMicroX/${PN}/archive/${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+# Tests fail to build
+# https://github.com/AntiMicroX/antimicrox/issues/530
+RESTRICT="test"
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	media-libs/libsdl2[X,joystick]
+	virtual/udev
+	x11-libs/libX11
+	x11-libs/libXi
+	x11-libs/libXtst
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-qt/linguist-tools:5
+	kde-frameworks/extra-cmake-modules
+	doc? ( app-doc/doxygen[dot] )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-man_gz.patch )
+DOCS=( CHANGELOG.md README.md )
+
+src_configure() {
+	local mycmakeargs=(
+		-DAPPDATA=OFF
+		-DCHECK_FOR_UPDATES=OFF
+		-DINSTALL_UINPUT_UDEV_RULES=OFF  # Install in src_install
+		-DWITH_TESTS=OFF
+		-DWITH_UINPUT=ON
+		-DWITH_X11=ON
+		-DWITH_XTEST=ON
+		-DBUILD_DOCS=$(usex doc ON OFF)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	rm -r "${ED}"/usr/share/doc/${PN} || die
+
+	udev_dorules "${S}"/other/60-${PN}-uinput.rules
+
+	use doc && dodoc -r "${S}"/docs/{html,latex}
+}
+
+pkg_postinst() {
+	udev_reload
+	xdg_pkg_postinst
+}
+
+pkg_postrm() {
+	udev_reload
+	xdg_pkg_postrm
+}


             reply	other threads:[~2022-10-24 21:37 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-24 21:37 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-11 22:55 [gentoo-commits] repo/gentoo:master commit in: games-util/antimicrox/ Sam James
2024-08-11 22:36 Maciej Barć
2024-04-11  4:55 Arthur Zamarin
2024-03-10 16:19 Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-07-07 22:04 Sam James
2023-06-03 15:51 Maciej Barć
2023-06-03 15:51 Maciej Barć
2023-06-03 15:51 Maciej Barć
2023-03-07 15:45 Sam James
2023-02-07 23:06 Sam James
2023-01-31  4:04 Sam James
2023-01-30 20:31 Maciej Barć
2023-01-30 20:31 Maciej Barć
2022-11-21 13:01 Maciej Barć
2022-11-21 13:01 Maciej Barć
2022-11-18 23:18 Maciej Barć
2022-09-02 13:53 Maciej Barć
2022-09-02  5:54 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1666647435.afafeca5b52de1a8fee302538163b109060686c1.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox